## unio-cli-0.1.3.tar.gz

=== requirements.txt ===
gunicorn
flask
flask-mqtt
pigpio
eventlet #TODO green threads?
smbus2

# Required for sync standalone
requests
netifaces
pytz

#Pillow
#pyserial
