=== python-gpiozero/debian/changelog ===
gpiozero (1.4.1) stable; urgency=low

  * Added "curve_left" and "curve_right" parameters to "Robot.forward" and
    "Robot.backward" (#306 and #619)
  * Fixed "DistanceSensor" returning incorrect readings after a long pause,
    and added a lock to ensure multiple distance sensors can operate
    simultaneously in a single project (#584, #595, #617, #618)
  * Added support for phase/enable motor drivers with "PhaseEnableMotor",
    "PhaseEnableRobot", and descendants, thanks to Ian Harcombe!  (#386)
  * A variety of other minor enhancements, largely thanks to Andrew Scheller!
    (#479, #489, #491, #492)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 20 Feb 2018 21:59:28 +0000

gpiozero (1.4.0) stable; urgency=low

  * Pin factory is now configurable from device constructors as well as
    command line. NOTE: this is a backwards incompatible change for manual pin
    construction but it's hoped this is (currently) a sufficiently rare use
    case that this won't affect too many people and the benefits of the new
    system warrant such a change, i.e. the ability to use remote pin factories
    with HAT classes that don't accept pin assignations (#279)
  * Major work on SPI, primarily to support remote hardware SPI (#421, #459,
    #465, #468, #575)
  * Pin reservation now works properly between GPIO and SPI devices (#459,
    #468)
  * Lots of work on the documentation: source/values chapter, better charts,
    more recipes, remote GPIO configuration, mock pins, better PDF output
    (#484, #469, #523, #520, #434, #565, #576)
  * Support for "StatusZero" and "StatusBoard" HATs (#558)
  * Added pinout command line tool to provide a simple reference to the GPIO
    layout and information about the associated Pi (#497, #504) thanks to
    Stewart Adcock for the initial work
  * "pi_info" made more lenient for new (unknown) Pi models (#529)
  * Fixed a variety of packaging issues (#535, #518, #519)
  * Improved text in factory fallback warnings (#572)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 26 Jul 2017 23:02:35 +0100

gpiozero (1.3.2) stable; urgency=low

  * Added new Pi models to stop "pi_info" breaking

 -- Ben Nuttall <ben@raspberrypi.org>  Fri, 03 Mar 2017 13:18:00 +0100

gpiozero (1.3.1) stable; urgency=low

  * Fixed hardware SPI support which Dave broke in 1.3.0. Sorry!
  * Some minor docs changes

 -- Dave Jones <dave@waveform.org.uk>  Wed, 31 Aug 2016 23:40:33 +0100

gpiozero (1.3.0) stable; urgency=low

  * Added "ButtonBoard" for reading multiple buttons in a single class (#340)
  * Added "Servo" and "AngularServo" classes for controlling simple servo
    motors (#248)
  * Lots of work on supporting easier use of internal and third-part pin
    implementations (#359)
  * "Robot" now has a proper "value" attribute (#305)
  * Added "CPUTemperature" as another demo of "internal" devices (#294)
  * A temporary work-around for an issue with "DistanceSensor" was included
    but a full fix is in the works (#385)
  * More work on the documentation (#320, #295, #289, etc.)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 31 Aug 2016 00:18:18 +0100

gpiozero (1.2.0) stable; urgency=low

  * Added "Energenie" class for controlling Energenie plugs (#69)
  * Added "LineSensor" class for single line-sensors (#109)
  * Added "DistanceSensor" class for HC-SR04 ultra-sonic sensors (#114)
  * Added "SnowPi" class for the Ryanteck Snow-pi board (#130)
  * Added "when_held" (and related properties) to "Button" (#115)
  * Fixed issues with installing GPIO Zero for python 3 on Raspbian Wheezy
    releases (#140)
  * Added support for lots of ADC chips (MCP3xxx family) (#162) - many thanks
    to pcopa and lurch!
  * Added support for pigpiod as a pin implementation with "PiGPIOPin" (#180)
  * Many refinements to the base classes mean more consistency in composite
    devices and several bugs squashed (#164, #175, #182, #189, #193, #229)
  * GPIO Zero is now aware of what sort of Pi it's running on via "pi_info"
    and has a fairly extensive database of Pi information which it uses to
    determine when users request impossible things (like pull-down on a pin
    with a physical pull-up resistor) (#222)
  * The source/values system was enhanced to ensure normal usage doesn't
    stress the CPU and lots of utilities were added (#181, #251)

 -- Dave Jones <dave@waveform.org.uk>  Sun, 10 Apr 2016 21:04:42 +0100

gpiozero (1.1.0) stable; urgency=low

  * Documentation converted to reST and expanded to include generic classes
    and several more recipes (#80, #82, #101, #119, #135, #168)
  * New "LEDBarGraph" class (many thanks to Martin O'Hanlon!) (#126, #176)
  * New "Pin" implementation abstracts out the concept of a GPIO pin paving
    the way for alternate library support and IO extenders in future (#141)
  * New "LEDBoard.blink" method which works properly even when background is
    set to "False" (#94, #161)
  * New "RGBLED.blink" method which implements (rudimentary) color fading
    too! (#135, #174)
  * New "initial_value" attribute on "OutputDevice" ensures consistent
    behaviour on construction (#118)
  * New "active_high" attribute on "PWMOutputDevice" and "RGBLED" allows use
    of common anode devices (#143, #154)
  * Loads of new ADC chips supported (many thanks to GitHub user pcopa!)
    (#150)

 -- Dave Jones <dave@waveform.org.uk>  Mon, 08 Feb 2016 23:55:00 +0000

gpiozero (1.0.0) stable; urgency=low

  * Debian packaging added (#44)
  * PWMLED class added (#58)
  * TemperatureSensor remove pending further work (#93)
  * Buzzer.beep alias method added (#75)
  * Motor PWM devices exposed, and Robot motor devices exposed (#107)

 -- Dave Jones <dave@waveform.org.uk>  Mon, 16 Nov 2015 12:16:29 +0000

gpiozero (0.9.0) stable; urgency=medium

  * Added source and values properties to all relevant classes (#76)
  * Fix names of parameters in Motor constructor (#79)
  * Added wrappers for LED groups on add-on boards (#81)


