=== python-gpiozero/debian/control ===
Source: gpiozero
Maintainer: Ben Nuttall <ben@raspberrypi.org>
Homepage: http://gpiozero.readthedocs.io/
Section: python
Priority: extra
Build-Depends:
 debhelper (>= 8),
 dh-python,
 python-all (>= 2.7),
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 3.9.6
Vcs-Git: https://github.com/RPi-Distro/python-gpiozero.git
Vcs-Browser: https://github.com/RPi-Distro/python-gpiozero
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-gpiozero
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
Recommends: python-rpi.gpio, python-spidev
Suggests: python-gpiozero-docs
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 2 version of the package.

Package: python3-gpiozero
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Recommends: python3-rpi.gpio, python3-spidev
Suggests: python-gpiozero-docs
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 3 version of the package.

Package: python-gpiozero-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Simple API for controlling devices attached to a Pi's GPIO pins.
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the version independent documentation for the package.
